# Skeletor Backbone

The goal of Skeletor is to provide a small unobtrusive CSS framework.  This project
is an excellent starting point to help get new applications off the ground
quickly.  It uses recommended styles and best practices from around the web.

#### Please Note
This project is currently in beta, I still have a list of features and some
bugs I am working out.  I wanted to get this out in the wild in the hopes that
people will provide feedback and report any issues I may have missed.

I will be writing more thorough documentation on how to call and use the various mixins and functions.


## Installation

Add this line to your application's Gemfile:

    gem 'skeletor_backbone'

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install skeletor_backbone

## Usage

After Skeletor has been added to your Gemfile you can install it into your project by running:

```
rails g skeletor:install
```

This will create a skeletor settings file in your stylesheets directory.  It will
also add the appropriate requirements to your application.css and application.js files.

#### Adding Modernizr

Modernizr should be added to the `<head>` of your HTML. Be sure to check out the [offical docs](http://modernizr.com/docs/#installing) for more information.

It should be included as a rails helper like `<%= javascript_include_tag 'modernizr'%>`.  Skeletor also includes a custom version of modernizr that is smaller and recommended with html5-boilerplate. You can add it like `<%= javascript_include_tag 'modernizr-custom'%>`.

For example:

```erb
<html>
<head>
  <title>Skeletor</title>
  <%= stylesheet_link_tag 'application', media: :all %>
  <%= javascript_include_tag 'modernizr' %>
  <%= csrf_meta_tags %>
</head>
<body>
  ...
  <%= javascript_include_tag 'application' %>
</body>
</html>
```

#### Custom Modernizr Scripts

You can create and download your own custom modernizr script from [modernizr.com/download](http://modernizr.com/download/).  Save the modernizr script as `modernizr-custom.js` in your `vendor/assets/javascripts` directory.  Rails will use this version instead of the included version with Skeletor.


## Contributing

1. Fork it ( http://github.com/<my-github-username>/skeletor_backbone/fork )
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create new Pull Request
